<template>
  <v-layout justify-space-around class="pt-1">
    <v-flex xs12 sm11 md10 lg9 xl8>
      <v-card flat>
        <v-img
          :src="imgURL(article.imagePath)"
          max-width="100%"
          max-height="300px"
          class="align-center white--text overflow-hidden"
          id="my-img"
        >
          <v-card-title class="display-4" style="text-stroke: 1.4px black">
            <strong>{{ article.title }}</strong>
          </v-card-title>

          <v-card-subtitle class="display-1 grey--text mt-1" style="text-stroke: 1px black">
            <strong>{{ article.date | moment('LL') }}</strong>
          </v-card-subtitle>
        </v-img>

        <v-card-text v-html="article.description" />
      </v-card>
    </v-flex>
  </v-layout>
</template>

<script>
import imgURL from '@/utils/imgURL'
import Api from '@/mixins/api'
import config from '@/config'

// @group VIEWS
export default {
  mixins: [Api],
  methods: {
    /**
     * @vuese
     * Returns image URL from imgURL component
     * @arg Property logo from object sponsor in sponsors array
     */
    imgURL(path) {
      return imgURL(config.server.ip, path, config.server.port)
    },
  },
  computed: {
    /**
     * @vuese
     * Returns article by id from VueX
     * @arg -
     */
    article() {
      const id = this.$route.params.id
      if (this.$store.state.news) {
        return this.$store.state.news.find(news => news.id == id)
      } else {
        return false
      }
    },
  },
  created() {
    /**
     * @vuese
     * Gets sponsors every 60 seconds
     * @arg -
     */
    this.getNews()
    setInterval(this.getNews, 60000)
  },
}
</script>

<style lang="scss" scoped>
.v-image {
  -webkit-box-shadow: inset 0px -143px 93px -84px rgba(0, 0, 0, 0.37) !important;
  -moz-box-shadow: inset 0px -143px 93px -84px rgba(0, 0, 0, 0.37) !important;
  box-shadow: inset 0px -143px 93px -84px rgba(0, 0, 0, 255.37) !important;
}
</style>
